/*
 * $Date: $
 * $Source: $
 * $Revision: $
 * $State: $
 *
 * $Log: $
 */

#ifndef _EMU_MISC_H
#define _EMU_MISC_H

#include "emu_defs.h"

extern int  parse_config(const char *);
extern void config_init(int, char **);

extern void emulator_init(void);
extern void emulator_reset(void);
extern void emulator_term(void);

extern void arch_init(void);
extern void arch_reset(void);
extern void arch_term(void);

extern void cdrom_helper(void);

extern void dos_helper_init(void);
extern void init_msdos_ints(void);

extern int  priv_on(void);
extern int  priv_off(void);

#endif /* _EMU_MISC_H */
